textures/x/f/ctf_blueflag2
{
    tessSize 64
    deformVertexes wave 194 sin 0 3 0 .4
    deformVertexes normal .5 .1
    surfaceparm nomarks
	surfaceparm nonsolid
    cull none
    {
		map textures/x/f/ctf_blueflag2.tga
		rgbGen identity
	}
    {
		map textures/effects/redflagmap.tga
        tcGen environment
        tcmod scale 9 3
        tcmod scroll .1 .7
        blendfunc add
        rgbGen identity
	}
    {
		map textures/x/f/ctf_blueflag2.tga
        blendfunc blend
		rgbGen identity
	}
    {
		map $lightmap
        blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
    {
      	map textures/sfx/shadow.tga
        tcGen environment 
        blendfunc filter
        rgbGen identity
	}
}

textures/x/f/ctf_redflag2
{
    tessSize 64
    deformVertexes wave 194 sin 0 3 0 .4
    deformVertexes normal .5 .1
    surfaceparm nomarks
	surfaceparm nonsolid
    cull none
    {
		map textures/x/f/ctf_redflag2.tga
		rgbGen identity
	}
    {
		map textures/effects/blueflagmap.tga
        tcGen environment
        tcmod scale 9 3
        tcmod scroll .1 .7
        blendfunc add
        rgbGen identity
	}
    {
		map textures/x/f/ctf_redflag2.tga
        blendfunc blend
		rgbGen identity
	}
    {
		map $lightmap
        blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
    {
      	map textures/sfx/shadow.tga
        tcGen environment 
        blendfunc filter
        rgbGen identity
	}
}

textures/ad_content/sh2
{   
    qer_editorimage textures/ad_content/sh2.jpg
    nopicmip
    {
        map textures/ad_content/sh2.jpg
    }
    {
        map textures/ad_content/glow2.jpg
        blendfunc add
            rgbGen Wave sin .6 0 0 0
        tcmod scroll 0 -0.75
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc GL_DST_COLOR GL_ZERO
    }
    {
        map $lightmap
        tcgen environment
        tcmod scale .5 .5
            rgbGen wave sin .15 0 0 0
        blendfunc add
    }   
    
}

textures/ad_content/sh1
{   
    qer_editorimage textures/ad_content/sh1.jpg
    nopicmip
    {
        map textures/ad_content/sh1.jpg
    }
    {
        map textures/ad_content/glow1.jpg
        blendfunc add
            rgbGen Wave sin .6 0 0 0
        tcmod scroll 0 -0.75
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc GL_DST_COLOR GL_ZERO
    }
    {
        map $lightmap
        tcgen environment
        tcmod scale .5 .5
            rgbGen wave sin .15 0 0 0
        blendfunc add
    }   
    
}

textures/x/f/ctf_blueflag
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .5 .1
        surfaceparm nomarks
        cull none
        
        {
        map textures/x/f/ctf_blueflag.tga
        rgbGen identity
    }
        {
        map textures/effects/redflagmap.tga
                tcGen environment
                tcmod scale 9 3
                tcmod scroll .1 .7
                
                blendFunc GL_ONE GL_ONE
                rgbGen identity
    }
        {
        map textures/x/f/ctf_blueflag.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
        {
        map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
        {
            map textures/sfx/shadow.tga
                tcGen environment 
                //blendFunc GL_ONE GL_ONE            
                blendFunc GL_DST_COLOR GL_ZERO
               rgbGen identity
    }
}

textures/x/f/ctf_redflag
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .3 .2
        surfaceparm nomarks
        cull none

        {
        map textures/x/f/ctf_redflag.tga
        rgbGen identity
    }
        {
        map textures/effects/blueflagmap.tga
                 tcGen environment
                tcmod scale 9 3
                tcmod scroll .1 .7
                
                blendFunc GL_ONE GL_ONE
                rgbGen identity
    }
        {
        map textures/x/f/ctf_redflag.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
        {
        map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
        {

            map textures/sfx/shadow.tga
                tcGen environment 
                //blendFunc GL_ONE GL_ONE            
                blendFunc GL_DST_COLOR GL_ZERO
               rgbGen identity
    }
}

textures/base_wall/bluemetalsupport2e_rusty
{
    qer_editorimage textures/base_wall/bluemetalsupport2e_rusty.tga
    {
        map textures/base_wall/chrome_env.tga
        rgbGen identity
        tcGen environment
        tcmod scale .25 .25
    }
    {
        map textures/base_wall/bluemetalsupport2e_rusty.tga
        blendFunc blend 
        rgbGen identity
    }
    {
        map $lightmap
        blendfunc filter
        rgbGen identity
    }
}

textures/se_blockout/teleported
{
    qer_editorimage textures/se_blockout/teleported.tga
    surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
    nopicmip
    polygonOffset
    nomipmaps
    sort 6
    {
        map textures/se_blockout/teleported.tga
        blendfunc add
    }
}

textures/sfx/portal_new
{
    qer_editorimage textures/sfx/portaledge
    surfaceparm nolightmap
    surfaceparm nomarks
    portal
    nopicmip
    {
        map textures/sfx/portalnoise.tga
        blendfunc blend
        alphagen portal 400
        rgbGen identityLighting 
        tcmod scale 1.2 1.2
        tcmod scroll .01 -.11
    }

    {
        map textures/sfx/portaledge.tga
        blendfunc filter
        tcmod scale 0.5 0.5
        tcmod scroll -.01 -0.11
    }
    {
        map textures/sfx/portalnoise.tga 
        blendfunc add
        rgbgen wave sin 0.08 .04 0 .5
        tcmod scale -.05 -.05
        tcmod scroll -.01 -0.2
    }
    {
        map textures/common/white.tga
        blendfunc blend
        depthWrite
    }
}

textures/skies/stonekeep
{
    qer_editorimage textures/skies/meth_clouds.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm sky
    q3map_sunExt .77 .91 1 80 360 80 2 16
    q3map_surfacelight 100
    q3map_lightimage textures/common/white.tga
    skyparms - 512 -
    {
        map textures/skies/meth_clouds.tga
        tcMod scale 3 2
        tcMod scroll 0.04 0.04
        depthWrite
    }
    {
        map textures/skies/meth_clouds2.tga
        blendfunc add
        tcMod scale 10 10
        tcMod scroll .1 .1
    }
    {
        map textures/skies/topclouds.tga
        blendfunc add
        tcMod scale 3 3
        tcMod scroll 0.09 0.09
    }
}

textures/base_light/ceil1_22a_5k_trans
{
    qer_editorimage textures/base_light/ceil1_22a.tga
    surfaceparm nomarks
    surfaceparm nonsolid
    q3map_surfacelight 5000
    polygonOffset 
    qer_trans 0.5 
    sort 6 
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/base_light/ceil1_22a.tga
        blendfunc filter
        rgbGen identity
    }
    {
        map textures/base_light/ceil1_22a.blend.tga
        blendfunc add
    }
}

textures/base_light/ceil1_30_5K_trans
{
    qer_editorimage textures/base_light/ceil1_30.tga
    surfaceparm nomarks
    surfaceparm nonsolid
    q3map_surfacelight 5000
    polygonOffset 
    qer_trans 0.5 
    sort 6 
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/base_light/ceil1_30.tga
        blendfunc filter
        rgbGen identity
    }
    {
        map textures/base_light/ceil1_30.blend.tga
        blendfunc add
    }
}

textures/base_light/ceil1_38_10_trans
{
    qer_editorimage textures/base_light/ceil1_38.tga
    surfaceparm nomarks
    surfaceparm nonsolid
    q3map_surfacelight 10000
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/base_light/ceil1_38.tga
        blendfunc filter
        rgbGen identity
    }
    {
        map textures/base_light/ceil1_38.blend.tga
        blendfunc add
    }
}

textures/base_support/metal_support
{
        surfaceparm trans   
    surfaceparm alphashadow
    surfaceparm nonsolid
    surfaceparm nomarks 
    cull none
        nopicmip
    {
        map textures/base_support/metal_support.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
}

textures/base_support/metal_support2
{
        surfaceparm trans   
    surfaceparm alphashadow
    surfaceparm nonsolid
    surfaceparm nomarks 
    cull none
        nopicmip
    {
        map textures/base_support/metal_support2.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
}

textures/base_support/metal_support3
{
        surfaceparm trans   
    surfaceparm alphashadow
    surfaceparm nonsolid
    surfaceparm nomarks 
    cull none
        nopicmip
    {
        map textures/base_support/metal_support3.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
}

textures/terrain/stonekeep_dirt1_grass1
{
    qer_editorimage textures/terrain/qzterra1_dirt1_grass1_ed.tga
    surfaceparm dust
    q3map_nonplanar
    q3map_shadeangle 120
    q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
    q3map_alphaMod dotproduct2 ( 0 0 1 )
    q3map_globaltexture
    {
        map textures/terrain/stonekeep_dirt1.tga
        tcmod scale 2 2
        rgbGen identity
    }
    {
        map textures/terrain/qzterra1_grass1.tga
        tcmod scale 2 2
        blendfunc blend
        rgbGen identity
        alphaGen vertex
    }
    {
        map $lightmap
        blendfunc filter
        rgbGen identity
    }
}

textures/terrain/stonekeep_dirt1_pond1
{
    qer_editorimage textures/terrain/qzterra1_dirt1_pond1_ed.tga
    surfaceparm dust
    q3map_nonplanar
    q3map_shadeangle 120
    q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
    q3map_alphaMod dotproduct2 ( 0 0 1 )
    q3map_globaltexture
    {
        map textures/terrain/stonekeep_dirt1.tga
        rgbGen identity
    }
    {
        map textures/terrain/qzterra1_pond1.tga
        blendfunc blend
        rgbGen identity
        alphaGen vertex
    }
    {
        map $lightmap
        blendfunc filter
        rgbGen identity
    }
}

textures/tp_gothic/tp_jumppad_fx
{
    qer_editorimage textures/tp_gothic/tp_jumppad_fx.tga
    q3map_surfacelight  300
    nopicmip
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nonsolid
    cull none
    {
        clampmap textures/tp_gothic/tp_jumppad_fx.tga
        blendfunc add
        tcMod rotate 100
    }   
}

textures/tp_gothic/tp_jumppad_fx_red
{
    qer_editorimage textures/tp_gothic/tp_jumppad_fx_red.tga
    q3map_surfacelight  300
    nopicmip
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nonsolid
    cull none
    {
        clampmap textures/tp_gothic/tp_jumppad_fx_red.tga
        blendfunc add
        tcMod rotate 100
    }   
}

textures/tp_gothic/tp_darkwood_001
{
    surfaceparm woodsteps
    q3map_forceMeta
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/tp_gothic/tp_darkwood_001.tga
        blendfunc filter
    }
}

textures/ql/caution_sudden_drop
{
    nopicmip
    {
        map textures/ql/caution_sudden_drop.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
}

textures/proto2/bluea_dcl
{    
    surfaceparm nomarks   
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm pointlight
    polygonOffset
    qer_trans 0.5
    sort 6
    nopicmip
    {
        map textures/proto2/bluea_dcl.tga
        blendfunc add
        rgbGen vertex
    }
}

textures/proto2/reda_dcl
{
    surfaceparm nomarks 
    surfaceparm trans
    surfaceparm nonsolid
     surfaceparm pointlight
    polygonOffset
    qer_trans 0.5
    sort 6
    nopicmip
        {
        map textures/proto2/reda_dcl.tga
        blendfunc add
        rgbGen vertex
    }
}

textures/proto2/dust_flat
{
    qer_editorimage textures/proto2/steam_01_img.tga
    qer_trans 0.50
    cull disable
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm nomarks
    deformVertexes wave 50 sin 0 3 0 .2
    {
        map textures/proto2/dust01.tga
        tcmod scroll 0 -0.015
        blendfunc blend
        rgbGen wave sin 1 .05 0 .4
    }
    {
        map textures/proto2/dust02.tga
        tcmod scroll 0.015 0.02
        blendfunc blend
        rgbGen wave sin 0.3 .04 0 .5
    }
}

textures/proto2/flare
{
    cull disable
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm nolightmap
    {
        clampmap textures/proto2/flare.tga
        tcmod rotate 10
        blendFunc Add
        rgbGen identity
    }
}

textures/proto2/proto_lightamber_500
{
    qer_editorimage textures/proto2/proto_lightamber.tga
    q3map_lightimage textures/proto2/proto_lightamber.tga
    surfaceparm nomarks
    q3map_surfacelight 500
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/proto2/proto_lightamber.tga
        blendfunc filter
        rgbGen identity
    }
    {
        map textures/proto2/proto_lightamber.tga
        blendfunc add
    }
}

textures/proto2/wood_planks_03
{
    qer_editorimage textures/proto2/wood_planks_03.tga
    surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/proto2/wood_planks_03.tga
        rgbGen identity
        blendfunc filter
    }
}

textures/proto2/wood_planks
{
    qer_editorimage textures/proto2/wood_planks.tga
    surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/proto2/wood_planks.tga
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/se_gothic/brick_01
{
    qer_editorimage textures/se_gothic/brick_01.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/brick_01.tga
        blendfunc filter
    }
}

textures/se_gothic/brick_03
{
    qer_editorimage textures/se_gothic/brick_03.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/brick_03.tga
        blendfunc filter
    }
}

textures/se_gothic/brick_03_sectional
{
    qer_editorimage textures/se_gothic/brick_03_sectional.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/brick_03_sectional.tga
        blendfunc filter
    }
}

textures/se_gothic/brick_03_talltrimmed
{
    qer_editorimage textures/se_gothic/brick_03_talltrimmed.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/brick_03_talltrimmed.tga
        blendfunc filter
    }
}

textures/se_gothic/cobweb_01
{
    qer_editorimage textures/se_gothic/cobweb_01.tga
    qer_trans 0.8
    surfaceparm nonsolid
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
    nopicmip
    deformVertexes wave 10 sin 0 2 0 0.2
    {
        map textures/se_gothic/cobweb_01.tga
        blendfunc add
    }
}

textures/se_gothic/grate_01
{
    surfaceparm trans       
    surfaceparm nonsolid
    surfaceparm metalsteps
    surfaceparm alphashadow
    surfaceparm playerclip
    surfaceparm nomarks
    cull none
    nopicmip
    {
        map textures/se_gothic/grate_01.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap 
        blendfunc filter
        rgbGen identity
        tcGen lightmap 
        depthFunc equal
    }
}

textures/se_gothic/ground
{
    q3map_shadeangle 60
    surfaceparm dust
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/ground.tga
        blendfunc filter
        tcmod scale 2 2
    }
}

textures/se_gothic/item_decal_armor_red
{
    surfaceparm nonsolid
    surfaceparm nomarks
    cull none
    nopicmip
    polygonOffset 
    sort 6
    {
        map textures/se_gothic/item_decal_armor_red.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
    {
        map textures/se_gothic/item_decal_armor.blend.tga
        rgbGen wave sin 0 .5 0 .25
        blendfunc add
    }
}

textures/se_gothic/item_decal_armor_blue
{
    surfaceparm nonsolid
    surfaceparm nomarks
    cull none
    nopicmip
    polygonOffset 
    sort 6
    {
        map textures/se_gothic/item_decal_armor_blue.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
    {
        map textures/se_gothic/item_decal_armor.blend.tga
        rgbGen wave sin 0 .5 0 .25
        blendfunc add
    }
}

textures/se_gothic/item_decal_gl_blue
{
    surfaceparm nonsolid
    surfaceparm nomarks
    cull none
    nopicmip
    polygonOffset 
    sort 6
    {
        map textures/se_gothic/item_decal_gl_blue.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
    {
        map textures/se_gothic/item_decal_gl.blend.tga
        rgbGen wave sin 0 .5 0 .25
        blendfunc add
    }
}

textures/se_gothic/item_decal_gl_red
{
    surfaceparm nonsolid
    surfaceparm nomarks
    cull none
    nopicmip
    polygonOffset 
    sort 6
    {
        map textures/se_gothic/item_decal_gl_red.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
    {
        map textures/se_gothic/item_decal_gl.blend.tga
        rgbGen wave sin 0 .5 0 .25
        blendfunc add
    }
}

textures/se_gothic/item_decal_lg_blue
{
    surfaceparm nonsolid
    surfaceparm nomarks
    cull none
    nopicmip
    polygonOffset 
    sort 6
    {
        map textures/se_gothic/item_decal_lg_blue.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
    {
        map textures/se_gothic/item_decal_lg.blend.tga
        rgbGen wave sin 0 .5 0 .25
        blendfunc add
    }
}

textures/se_gothic/item_decal_lg_red
{
    surfaceparm nonsolid
    surfaceparm nomarks
    cull none
    nopicmip
    polygonOffset 
    sort 6
    {
        map textures/se_gothic/item_decal_lg_red.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
    {
        map textures/se_gothic/item_decal_lg.blend.tga
        rgbGen wave sin 0 .5 0 .25
        blendfunc add
    }
}

textures/se_gothic/item_decal_mh_red
{
    surfaceparm nonsolid
    surfaceparm nomarks
    cull none
    nopicmip
    polygonOffset 
    sort 6
    {
        map textures/se_gothic/item_decal_mh_red.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
    {
        map textures/se_gothic/item_decal_mh.blend.tga
        rgbGen wave sin 0 .5 0 .25
        blendfunc add
    }
}

textures/se_gothic/item_decal_mh_blue
{
    surfaceparm nonsolid
    surfaceparm nomarks
    cull none
    nopicmip
    polygonOffset 
    sort 6
    {
        map textures/se_gothic/item_decal_mh_blue.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
    {
        map textures/se_gothic/item_decal_mh.blend.tga
        rgbGen wave sin 0 .5 0 .25
        blendfunc add
    }
}

textures/se_gothic/item_decal_pg_red
{
    surfaceparm nonsolid
    surfaceparm nomarks
    cull none
    nopicmip
    polygonOffset 
    sort 6
    {
        map textures/se_gothic/item_decal_pg_red.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
    {
        map textures/se_gothic/item_decal_pg.blend.tga
        rgbGen wave sin 0 .5 0 .25
        blendfunc add
    }
}

textures/se_gothic/item_decal_pg_blue
{
    surfaceparm nonsolid
    surfaceparm nomarks
    cull none
    nopicmip
    polygonOffset 
    sort 6
    {
        map textures/se_gothic/item_decal_pg_blue.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
    {
        map textures/se_gothic/item_decal_pg.blend.tga
        rgbGen wave sin 0 .5 0 .25
        blendfunc add
    }
}

textures/se_gothic/item_decal_quad
{
    surfaceparm nonsolid
    surfaceparm nomarks
    cull none
    nopicmip
    polygonOffset 
    sort 6
    {
        map textures/se_gothic/item_decal_quad.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
    {
        map textures/se_gothic/item_decal_quad.blend.tga
        rgbGen wave sin 0 .5 0 .25
        blendfunc add
    }
}

textures/se_gothic/item_decal_regen_red
{
    surfaceparm nonsolid
    surfaceparm nomarks
    cull none
    nopicmip
    polygonOffset 
    sort 6
    {
        map textures/se_gothic/item_decal_regen_red.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
    {
        map textures/se_gothic/item_decal_regen.blend.tga
        rgbGen wave sin 0 .5 0 .25
        blendfunc add
    }
}

textures/se_gothic/item_decal_regen_blue
{
    surfaceparm nonsolid
    surfaceparm nomarks
    cull none
    nopicmip
    polygonOffset 
    sort 6
    {
        map textures/se_gothic/item_decal_regen_blue.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
    {
        map textures/se_gothic/item_decal_regen.blend.tga
        rgbGen wave sin 0 .5 0 .25
        blendfunc add
    }
}

textures/se_gothic/item_decal_rg_red
{
    surfaceparm nonsolid
    surfaceparm nomarks
    cull none
    nopicmip
    polygonOffset 
    sort 6
    {
        map textures/se_gothic/item_decal_rg_red.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
    {
        map textures/se_gothic/item_decal_rg.blend.tga
        rgbGen wave sin 0 .5 0 .25
        blendfunc add
    }
}

textures/se_gothic/item_decal_rg_blue
{
    surfaceparm nonsolid
    surfaceparm nomarks
    cull none
    nopicmip
    polygonOffset 
    sort 6
    {
        map textures/se_gothic/item_decal_rg_blue.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
    {
        map textures/se_gothic/item_decal_rg.blend.tga
        rgbGen wave sin 0 .5 0 .25
        blendfunc add
    }
}

textures/se_gothic/item_decal_rl_blue
{
    surfaceparm nonsolid
    surfaceparm nomarks
    cull none
    nopicmip
    polygonOffset 
    sort 6
    {
        map textures/se_gothic/item_decal_rl_blue.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
    {
        map textures/se_gothic/item_decal_rl.blend.tga
        rgbGen wave sin 0 .5 0 .25
        blendfunc add
    }
}

textures/se_gothic/item_decal_rl_red
{
    surfaceparm nonsolid
    surfaceparm nomarks
    cull none
    nopicmip
    polygonOffset 
    sort 6
    {
        map textures/se_gothic/item_decal_rl_red.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
    {
        map textures/se_gothic/item_decal_rl.blend.tga
        rgbGen wave sin 0 .5 0 .25
        blendfunc add
    }
}

textures/se_gothic/item_decal_sg_red
{
    surfaceparm nonsolid
    surfaceparm nomarks
    cull none
    nopicmip
    polygonOffset 
    sort 6
    {
        map textures/se_gothic/item_decal_sg_red.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
    {
        map textures/se_gothic/item_decal_sg.blend.tga
        rgbGen wave sin 0 .5 0 .25
        blendfunc add
    }
}

textures/se_gothic/item_decal_sg_blue
{
    surfaceparm nonsolid
    surfaceparm nomarks
    cull none
    nopicmip
    polygonOffset 
    sort 6
    {
        map textures/se_gothic/item_decal_sg_blue.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
    {
        map textures/se_gothic/item_decal_sg.blend.tga
        rgbGen wave sin 0 .5 0 .25
        blendfunc add
    }
}

textures/se_gothic/light_01_vented
{
    qer_editorimage textures/se_gothic/light_01_vented.tga
    q3map_lightimage textures/se_gothic/light_01_vented.blend.tga
    surfaceparm nomarks
    q3map_surfacelight 400
    {
        map $lightmap 
        rgbGen identity
        tcGen lightmap 
    }
    {
        map textures/se_gothic/light_01_vented.tga
        blendfunc filter
        rgbGen identity
    }
    {
        map textures/se_gothic/light_01_vented.blend.tga
        blendfunc add
        rgbGen identity
    }
}

textures/se_gothic/light_03
{
    qer_editorimage textures/se_gothic/light_03.tga
    q3map_lightimage textures/se_gothic/light_03.blend.tga
    surfaceparm nomarks
    q3map_surfacelight 700
    {
        map $lightmap 
        rgbGen identity
        tcGen lightmap 
    }
    {
        map textures/se_gothic/light_03.tga
        blendfunc filter
        rgbGen identity
    }
    {
        map textures/se_gothic/light_03.blend.tga
        blendfunc add
        rgbGen identity
    }
}

textures/se_gothic/metal_01
{
    qer_editorimage textures/se_gothic/metal_01.tga
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/metal_01.tga
        blendfunc filter
    }
}

textures/se_gothic/metalsupport_01
{
    qer_editorimage textures/se_gothic/metalsupport_01.tga
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/metalsupport_01.tga
        blendfunc filter
    }
}

textures/se_gothic/metalsupport_02
{
    qer_editorimage textures/se_gothic/metalsupport_02.tga
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/metalsupport_02.tga
        blendfunc filter
    }
}

textures/se_gothic/plate_01
{
    qer_editorimage textures/se_gothic/plate_01.tga
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/plate_01.tga
        blendfunc filter
    }
}

textures/se_gothic/rivets_01
{
    qer_editorimage textures/se_gothic/rivets_01.tga
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/rivets_01.tga
        blendfunc filter
    }
}

textures/se_gothic/rivets_02
{
    qer_editorimage textures/se_gothic/rivets_02.tga
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/rivets_02.tga
        blendfunc filter
    }
}

textures/se_gothic/rock
{
    q3map_nonplanar
    q3map_shadeangle 60
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/rock.tga
        blendfunc filter
    }
}

textures/se_gothic/rock_etched
{
    q3map_nonplanar
    q3map_shadeangle 60
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/rock_etched.tga
        blendfunc filter
    }
}

textures/se_gothic/stepriser2_8
{
    qer_editorimage textures/se_gothic/stepriser2_8.tga
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/stepriser2_8.tga
        blendfunc filter
    }
}

textures/se_gothic/steprister2_8
{
    qer_editorimage textures/se_gothic/stepriser2_8.tga
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/stepriser2_8.tga
        blendfunc filter
    }
}

textures/se_gothic/steptread2_16
{
    qer_editorimage textures/se_gothic/steptread2_16.tga
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/steptread2_16.tga
        blendfunc filter
    }
}

textures/se_gothic/steptread_16
{
    qer_editorimage textures/se_gothic/steptread_16.tga
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/steptread_16.tga
        blendfunc filter
    }
}

textures/se_gothic/steptread_32
{
    qer_editorimage textures/se_gothic/steptread_32.tga
    surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/steptread_32.tga
        blendfunc filter
    }
}

textures/se_gothic/stonekeep_moss_rock
{
    qer_editorimage textures/se_gothic/moss.tga
    {
        map textures/se_gothic/moss.tga // Primary (dp2 Vertical)
        rgbGen identity
    }
    {
        map textures/se_gothic/rock.tga // Secondary (dp2 Horizontal)
        tcmod scale 2 2
        blendfunc blend
        rgbGen identity
        alphaGen vertex
    }
    {
        map $lightmap
        blendfunc filter
        rgbGen identity
    }
}

textures/se_gothic/stonekeep_moss2_rock
{
      qer_editorimage textures/se_gothic/moss2.tga
    {
        map textures/se_gothic/moss2.tga
        rgbGen identity
    }
    {
        map textures/se_gothic/rock.tga
        tcmod scale 2 2
        blendfunc blend
        rgbGen identity
        alphaGen vertex
    }
    {
        map $lightmap
        blendfunc filter
        rgbGen identity
    }
}

textures/se_gothic/stonekeep_moss3_rock
{
    qer_editorimage textures/se_gothic/moss3.tga
    {
        map textures/se_gothic/moss3.tga
        rgbGen identity
    }
    {
        map textures/se_gothic/rock.tga
        tcmod scale 2 2
        blendfunc blend
        rgbGen identity
        alphaGen vertex
    }
    {
        map $lightmap
        blendfunc filter
        rgbGen identity
    }
}

textures/se_gothic/stoneslab_01
{
    qer_editorimage textures/se_gothic/stoneslab_01.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/stoneslab_01.tga
        blendfunc filter
    }
}

textures/se_gothic/tile_04
{
    qer_editorimage textures/se_gothic/tile_04.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/tile_04.tga
        blendfunc filter
    }
}

textures/se_gothic/tile_01
{
    qer_editorimage textures/se_gothic/tile_01.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/tile_01.tga
        tcmod scale 2 2
        blendfunc filter
    }
}

textures/se_gothic/wood_01
{
    qer_editorimage textures/se_gothic/wood_01.tga
    surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/wood_01.tga
        blendfunc filter
    }
}

textures/se_gothic/wood_02
{
    qer_editorimage textures/se_gothic/wood_02.tga
    surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/wood_02.tga
        blendfunc filter
    }
}

textures/se_gothic/wood_03
{
    qer_editorimage textures/se_gothic/wood_03.tga
    surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/wood_03.tga
        blendfunc filter
    }
}

textures/se_gothic/wood_04
{
    qer_editorimage textures/se_gothic/wood_04.tga
    surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/wood_04.tga
        blendfunc filter
    }
}

textures/se_gothic/wood_06
{
    qer_editorimage textures/se_gothic/wood_06.tga
    surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/wood_06.tga
        blendfunc filter
    }
}

textures/se_gothic/wood_05
{
    qer_editorimage textures/se_gothic/wood_05.tga
    surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/se_gothic/wood_05.tga
        blendfunc filter
    }
}

textures/terrain/stonekeep_dirt1_ground
{
    qer_editorimage textures/terrain/qzterra1_dirt1_grass1_ed.tga
    surfaceparm dust
    q3map_nonplanar
    q3map_shadeangle 120
    q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
    q3map_alphaMod dotproduct2 ( 0 0 1 )
    q3map_globaltexture
    {
        map textures/se_gothic/ground.tga
        tcmod scale 2 2
        rgbGen identity
    }
    {
        map textures/terrain/qzterra1_grass1.tga
        tcmod scale 2 2
        blendfunc blend
        rgbGen identity
        alphaGen vertex
    }
    {
        map $lightmap
        blendfunc filter
        rgbGen identity
    }
}

textures/x/se_floor/rusty_pentagrate
{
	surfaceparm	metalsteps	
    surfaceparm trans		
    surfaceparm alphashadow
	cull none
    nopicmip
	{
		map textures/x/se_floor/rusty_pentagrate.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}

textures/x/e_gothic/item_decal_sg_red
{
    surfaceparm nonsolid
    surfaceparm nomarks
    cull none
    nopicmip
    polygonOffset 
    sort 6
    {
        map textures/se_gothic/item_decal_sg_red.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
    {
        map textures/se_gothic/item_decal_sg.blend.tga
        rgbGen wave sin 0 .5 0 .25
        blendfunc add
    }
}

textures/x/e_gothic/item_decal_sg_blue
{
    surfaceparm nonsolid
    surfaceparm nomarks
    cull none
    nopicmip
    polygonOffset 
    sort 6
    {
        map textures/se_gothic/item_decal_sg_blue.tga
        blendfunc GL_ONE GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendfunc filter
        depthFunc equal
    }
    {
        map textures/se_gothic/item_decal_sg.blend.tga
        rgbGen wave sin 0 .5 0 .25
        blendfunc add
    }
}